Name: iptstate
Summary: A top-like display of IP Tables state table entries
Version: 1.3
Release: 4
Source: iptstate-%{version}.tar.gz
Patch0: iptstate-1.3-cpp_hdr.patch
Patch1: iptstate-1.3-destdir.patch
Patch2: iptstate-1.3-man8.patch
Group: System Environment/Base
URL: http://www.phildev.net/iptstate/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: distributable
Requires: iptables
BuildRequires: ncurses-devel
Prefix: %{_prefix}

%description
IP Tables State (iptstate) was originally written to implement
the "state top" feature of IP Filter (see "The Idea" below) in
IP Tables. "State top" displays the states held by your stateful
firewall in a top-like manner.

Since IP Tables doesn't have a built in way to easily display 
this information even once, an option was added to just have it 
display the state table once.
 
Features include:
    - Top-like realtime state table information
    - Sorting by any field
    - Reversible sorting
    - Single display of state table
    - Customizable refresh rate
    - Open Source (specifically I'm using the zlib license)


%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1 -b .cpp_hdr
%patch1 -p1 -b .destdir
mv man/man1 man/man8
mv man/man8/iptstate.1 man/man8/iptstate.8
%patch2 -p1 -b .man8

%build
make CXXFLAGS="$RPM_OPT_FLAGS"

%install
make install DESTDIR=$RPM_BUILD_ROOT SBIN=$RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root,0755)
%doc CONTRIB LICENSE README
%{_sbindir}/iptstate
%{_mandir}/man8/iptstate.*

%changelog
* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb  2 2004 Thomas Woerner <twoerner@redhat.com> 1.3-2
- added BuildRequires for ncurses-devel

* Mon Jan 26 2004 Thomas Woerner <twoerner@redhat.com> 1.3-1
- initial package
